Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.engine
Class QueryEngineSDB

    java.lang.Object
      com.hp.hpl.jena.sparql.engine.QueryEngineBase
          com.hp.hpl.jena.sdb.engine.QueryEngineSDB

All Implemented Interfaces:
  com.hp.hpl.jena.sparql.engine.OpEval, org.openjena.atlas.lib.Closeable

    public class QueryEngineSDB

extends com.hp.hpl.jena.sparql.engine.QueryEngineBase

Field Summary

Fields inherited from class com.hp.hpl.jena.sparql.engine.QueryEngineBase
`queryEngineInfo`

Constructor Summary
`QueryEngineSDB(DatasetStoreGraph dsg, com.hp.hpl.jena.sparql.algebra.Op op, com.hp.hpl.jena.sparql.engine.binding.Binding initialBinding, com.hp.hpl.jena.sparql.util.Context context)`
`QueryEngineSDB(DatasetStoreGraph dsg, com.hp.hpl.jena.query.Query query, com.hp.hpl.jena.sparql.engine.binding.Binding initialBinding, com.hp.hpl.jena.sparql.util.Context context)`
`QueryEngineSDB(Store store, com.hp.hpl.jena.query.Query q)`

Method Summary
`void` | `close()`
`com.hp.hpl.jena.sparql.engine.QueryIterator` | `eval(com.hp.hpl.jena.sparql.algebra.Op op, com.hp.hpl.jena.sparql.core.DatasetGraph dsg, com.hp.hpl.jena.sparql.engine.binding.Binding binding, com.hp.hpl.jena.sparql.util.Context context)`
`static com.hp.hpl.jena.sparql.engine.QueryEngineFactory` | `getFactory()`
`SDBRequest` | `getRequest()`
`static void` | `register()`
`static void` | `unregister()`

Methods inherited from class com.hp.hpl.jena.sparql.engine.QueryEngineBase
`evaluate, getOp, getPlan`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryEngineSDB

    public QueryEngineSDB(Store store,
                          com.hp.hpl.jena.query.Query q)

### QueryEngineSDB

    public QueryEngineSDB(DatasetStoreGraph dsg,
                          com.hp.hpl.jena.query.Query query,
                          com.hp.hpl.jena.sparql.engine.binding.Binding initialBinding,
                          com.hp.hpl.jena.sparql.util.Context context)

### QueryEngineSDB

    public QueryEngineSDB(DatasetStoreGraph dsg,
                          com.hp.hpl.jena.sparql.algebra.Op op,
                          com.hp.hpl.jena.sparql.engine.binding.Binding initialBinding,
                          com.hp.hpl.jena.sparql.util.Context context)

Method Detail

### getRequest

    public SDBRequest getRequest()

### close

    public void close()

  Specified by:
    `close` in interface `org.openjena.atlas.lib.Closeable`
  Overrides:
    `close` in class `com.hp.hpl.jena.sparql.engine.QueryEngineBase`

### eval

    public com.hp.hpl.jena.sparql.engine.QueryIterator eval(com.hp.hpl.jena.sparql.algebra.Op op,
                                                            com.hp.hpl.jena.sparql.core.DatasetGraph dsg,
                                                            com.hp.hpl.jena.sparql.engine.binding.Binding binding,
                                                            com.hp.hpl.jena.sparql.util.Context context)

  Specified by:
    `eval` in class `com.hp.hpl.jena.sparql.engine.QueryEngineBase`

### getFactory

    public static com.hp.hpl.jena.sparql.engine.QueryEngineFactory getFactory()

### register

    public static void register()

### unregister

    public static void unregister()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.